MACTELNETD(8)

NAME
mactelnetd - Telnet daemon for MAC-address connections

SYNOPSIS
mactelnetd [options]

DESCRIPTION
This daemon listens for telnet connections from Mikrotik RouterOS devices or mactelnet clients on the same physical network. It also announces it's hostname via the MNDP protocol every minute.

OPTIONS
These programs follow the usual GNU command line syntax. A summary of options is included below.

-n  Do not use broadcast packets. A tad less insecure. This means that ethernet packets will have the mac-address of the client as the packet destination, instead of using the ethernet broadcast address.

-o  Use the older MD5 based authentication. This is less secure, and also requires your userfile to have the passwords in plaintext format. If you are running the server with this parameter, you cannot add users using the -a option.

-a  Add a new user. The user should be an existing user in your system. This can be done without restarting your mactelnetd server as it re-reads the user file for each authentication attempt. You will be prompted for the username and password, or you can use one of the following options to specify them on the command line:

    -u username
        You can specify the new username to add on the command line using this option. If this is not used, you will be prompted for the username.

    -p password
        You can specify the new password for the new user to add on the command line using this option. If this is not used, you will be prompted for the password.

-d username
    Delete the specified user.

-l  List the available users in the /usr/local/etc/mactelnetd.users file.

-h  Show summary of options.

-v  Show version of program.

FILES

/usr/local/etc/mactelnetd.users
    This file contains a line separated list of users that will have access to your machine. Usernames and passwords are separated by colon. This file is read each time a user connects.

SEE ALSO
mndp(1), mactelnet(1), macping(1).

AUTHOR
mactelnetd was written by Håkon Nessjøen <haakon.nessjoen@gmail.com>.

This manual page was written by Håkon Nessjøen <haakon.nessjoen@gmail.com>, for the Debian project (and may be used by others).